summaryrefslogtreecommitdiff
path: root/poky/scripts/contrib
diff options
context:
space:
mode:
authorBrad Bishop <bradleyb@fuzziesquirrel.com>2018-10-09 20:59:25 +0300
committerBrad Bishop <bradleyb@fuzziesquirrel.com>2018-10-15 15:44:24 +0300
commit6ef3265d2b0f8bc55c5d3fffa253e961ab31b041 (patch)
tree554e9b914035d95e21c187e75c2ff4396821a49e /poky/scripts/contrib
parentc3966252f9945108d27845e12b7732a825a9ca4e (diff)
downloadopenbmc-6ef3265d2b0f8bc55c5d3fffa253e961ab31b041.tar.xz
poky: sumo refresh 3b8dc3a88e..36d5cee56b
Update poky to sumo HEAD. Andreas Müller (1): libsdl2: Fix left rotated display for RaspPi/VC4/GLES2 Anuj Mittal (2): qemux86-directdisk: remove mem= parameter initramfs-framework/udev: call settle before kill Armin Kuster (1): libcroco: CVE-2017-7961 Awais Belal (1): bitbake: toaster: Fix bitbake flexible path error from Bugzilla #12891 Chong Yi Chai (1): mkefidisk: fix installation of kernel image Paulo Neves (1): bitbake: fetcher: Fixed remote removal not throwing exception. Richard Purdie (1): bitbake: main: Fix environment handling for UI module imports Ross Burton (2): security_flags: disable static PIE in glibc cmake: put cmake.m4 and toolchain file in PN Sinan Kaya (1): gnupg: CVE-2018-9234 Change-Id: Ia9ff256122334cf5f1fb8d377ac3f295605ac68b Signed-off-by: Brad Bishop <bradleyb@fuzziesquirrel.com>
Diffstat (limited to 'poky/scripts/contrib')
-rwxr-xr-xpoky/scripts/contrib/mkefidisk.sh12
1 files changed, 10 insertions, 2 deletions
diff --git a/poky/scripts/contrib/mkefidisk.sh b/poky/scripts/contrib/mkefidisk.sh
index ac4ec9c7f..39e4bcf08 100755
--- a/poky/scripts/contrib/mkefidisk.sh
+++ b/poky/scripts/contrib/mkefidisk.sh
@@ -381,7 +381,15 @@ mount $BOOTFS $BOOTFS_MNT >$OUT 2>&1 || error "Failed to mount $BOOTFS on $BOOTF
info "Preparing boot partition"
EFIDIR="$BOOTFS_MNT/EFI/BOOT"
-cp $HDDIMG_MNT/vmlinuz $BOOTFS_MNT >$OUT 2>&1 || error "Failed to copy vmlinuz"
+# Get kernel image name
+if [ -e "$HDDIMG_MNT/vmlinuz" ]; then
+ kernel_image="vmlinuz"
+elif [ "$HDDIMG_MNT/bzImage" ]; then
+ kernel_image="bzImage"
+else
+ die "No kernel image found"
+fi
+cp $HDDIMG_MNT/${kernel_image} $BOOTFS_MNT >$OUT 2>&1 || error "Failed to copy ${kernel_image}"
# Copy the efi loader and configs (booti*.efi and grub.cfg if it exists)
cp -r $HDDIMG_MNT/EFI $BOOTFS_MNT >$OUT 2>&1 || error "Failed to copy EFI dir"
# Silently ignore a missing systemd-boot loader dir (we might just be a GRUB image)
@@ -407,7 +415,7 @@ if [ -e "$GRUB_CFG" ]; then
sed -i "s/ LABEL=[^ ]*/ /" $GRUB_CFG
sed -i "s@ root=[^ ]*@ @" $GRUB_CFG
- sed -i "s@vmlinuz @vmlinuz root=$TARGET_ROOTFS ro rootwait console=ttyS0 console=tty0 @" $GRUB_CFG
+ sed -i "s@${kernel_image} @${kernel_image} root=$TARGET_ROOTFS ro rootwait console=ttyS0 console=tty0 @" $GRUB_CFG
fi
# Look for a systemd-boot installation